import { jsx } from "react/jsx-runtime";
import { CloudSlash as CloudSlash$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CloudSlash = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CloudSlash", ...props, children: /* @__PURE__ */ jsx(CloudSlash$1, { weight: variant }) });
  }
);
CloudSlash.displayName = "CloudSlash";
Object.assign(CloudSlash, { isGdsIcon: true });
export {
  CloudSlash
};
